Eric Wohlstadter commented on TEZ-3901:


Thanks. I see what you mean. hadoop28 and hadoop3 work ok, but hadoop27 is not 

I'll look into it.

> Add hadoop3 profile for upgrade to Jersey 1.19
> ----------------------------------------------
>                 Key: TEZ-3901
>                 URL: https://issues.apache.org/jira/browse/TEZ-3901
>             Project: Apache Tez
>          Issue Type: Improvement
>            Reporter: Eric Wohlstadter
>            Assignee: Eric Wohlstadter
>            Priority: Major
>         Attachments: TEZ-3901.1.patch
> From [~harishjp]:
> "DAGAppMaster fails to start when using hadoop3 and ATSv15, because 
> TimelineWriter has been changed to use jersey-client 1.19 in hadoop3, but tez 
> packages jersey-client 1.9 with it. There are incompatible changes between 
> them, so we cannot upgrade to 1.19 for all versions, it should be 1.9 in 
> older hadoop and 1.19 in hadoop3."
> This patch includes some copy and paste of the hadoop28 profile to a hadoop3 
> profile. Maven doesn't include anything like "profile inheritance".

This message was sent by Atlassian JIRA

Reply via email to